| Home | Libraries | People | FAQ | More

# services/stream_socket_service.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | services

## Classes

class | services::stream_socket_service< Protocol >
| Debugging stream socket service that wraps the normal stream socket service. More...
class | services::stream_socket_service< Protocol >::connect_handler< Handler >
| Handler to wrap asynchronous connect completion. More...
class | services::stream_socket_service< Protocol >::send_handler< Handler >
| Handler to wrap asynchronous send completion. More...
class | services::stream_socket_service< Protocol >::receive_handler< Handler >
| Handler to wrap asynchronous receive completion. More...

| Copyright © 2003 - 2006 Christopher M. Kohlhoff